# Poco

# class TeeIOS

Library: Foundation
Package: Streams
Header: Poco/TeeStream.h

## Description

The base class for TeeInputStream and TeeOutputStream.

This class is needed to ensure the correct initialization order of the stream buffer and base classes.

## Inheritance

Direct Base Classes: std::ios

All Base Classes: std::ios

Known Derived Classes: TeeInputStream, TeeOutputStream

## Member Summary

Member Functions: addStream, rdbuf

## Constructors

### TeeIOS

TeeIOS();

Creates the basic stream and leaves it unconnected.

### TeeIOS

TeeIOS(
std::istream & istr
);

Creates the basic stream and connects it to the given input stream.

### TeeIOS

TeeIOS(
std::ostream & ostr
);

Creates the basic stream and connects it to the given output stream.

## Destructor

### ~TeeIOS

~TeeIOS();

Destroys the stream.

## Member Functions

### addStream

void addStream(
std::ostream & ostr
);

Adds the given output stream.

### rdbuf

TeeStreamBuf * rdbuf();

Returns a pointer to the underlying streambuf.

## Variables

### _buf

TeeStreamBuf _buf;